下载搜学网app
查学校 查学区 查辅导 查饭桌 查询中考数据
logo 点击咨询

ubuntu环境下apache2与phpmyadmin之间的冲突问题


今天在google云的ubuntu14.04 LTS环境下安装phpmyadmin,按照以下步骤执行:

$ sudo apt-get update $ sudo apt-get install apache2

执行完毕后,apache2验证成功。

开始安装phpmyadmin,执行

$ sudo apt-get install phpmyadmin php-mbstring php-gettext,成功执行,但是在重启apache的时候提示了错误,

大意是apache启动失败了,更多错误信息请参考log日志云云。

大体翻了一下所谓的日志,给出的错误提示含混不清,后来还是在stackoverflow上找到了解决方法:


cd /etc/apache2/mods-enabled
rm php5.conf 
rm php5.load 

sudo service apache2 start;

在此mark一下,此前也遇到过类似的错误,忘记怎么处理的了。

访问http://domainname/phpmyadmin的时候又出现了错误,提示缺少mbstring支持。

The mbstring extension is missing......

mbstring明明已经安装了,却没起作用,重装了3,4次,还是不行。

后来发现php7.0有一个特别的mbstring版本-

php7.0-mbstring
执行
sudo apt-cache search php7.0-mbstring

后,搞定!


评论